=== debian/changelog ===
openspecfun (0.3-2) unstable; urgency=medium

  * kfreebsd-and-hurd.patch: new patch, fixes FTBFS on kFreeBSD and Hurd.
  * Inject flags from dpkg-buildflags.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 02 Jul 2014 22:42:33 +0200

openspecfun (0.3-1) unstable; urgency=medium

  * Initial release. (Closes: #751379)

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 12 Jun 2014 14:47:09 +0200
