=== debian/control ===
Source: openspecfun
Priority: optional
Maintainer: Debian Julia Team <pkg-julia-devel@lists.alioth.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>
Build-Depends: debhelper (>= 9), gfortran, dh-exec
Standards-Version: 3.9.5
Section: libs
Homepage: https://github.com/JuliaLang/openspecfun
Vcs-Git: git://anonscm.debian.org/pkg-julia/openspecfun.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-julia/openspecfun.git

Package: libopenspecfun0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: collection of special mathematical functions (shared library)
 Openspecfun provides AMOS and Faddeeva.
 .
 AMOS (from Netlib) is a portable package for Bessel Functions of a Complex
 Argument and Nonnegative Order; it contains subroutines for computing Bessel
 functions and Airy functions.
 .
 Faddeeva allows computing the various error functions of arbitrary complex
 arguments (Faddeeva function, error function, complementary error function,
 scaled complementary error function, imaginary error function, and Dawson
 function); given these, one can also easily compute Voigt functions, Fresnel
 integrals, and similar related functions as well.

Package: libopenspecfun-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libopenspecfun0 (= ${binary:Version})
Description: collection of special mathematical functions (development files)
 Openspecfun provides AMOS and Faddeeva.
 .
 AMOS (from Netlib) is a portable package for Bessel Functions of a Complex
 Argument and Nonnegative Order; it contains subroutines for computing Bessel
 functions and Airy functions.
 .
 Faddeeva allows computing the various error functions of arbitrary complex
 arguments (Faddeeva function, error function, complementary error function,
 scaled complementary error function, imaginary error function, and Dawson
 function); given these, one can also easily compute Voigt functions, Fresnel
 integrals, and similar related functions as well.
