## openspecfun 0.4

=== debian/changelog ===
openspecfun (0.4-1) unstable; urgency=medium

  * Imported Upstream version 0.4
  * debian/copyright: reflect upstream changes.
  * fix-soname.patch: remove, no longer needed.
  * Bump SONAME, shared lib now libopenspecfun1.
    The bump was not really needed, but we don't want to diverge from upstream.
  * Restrict archs to amd64 and i386.
    The rem_pio2 stuff does not compile elsewhere.
  * Improve package descriptions.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 29 Jul 2014 14:07:59 +0200
