=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 Vcs-Git: git://anonscm.debian.org/pkg-julia/openspecfun.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-julia/openspecfun.git
 
-Package: libopenspecfun0
-Architecture: any
+Package: libopenspecfun1
+Architecture: amd64 i386
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -26,12 +26,14 @@
  scaled complementary error function, imaginary error function, and Dawson
  function); given these, one can also easily compute Voigt functions, Fresnel
  integrals, and similar related functions as well.
+ .
+ This package contains a shared version of the library.
 
 Package: libopenspecfun-dev
 Section: libdevel
-Architecture: any
+Architecture: amd64 i386
 Multi-Arch: same
-Depends: ${misc:Depends}, libopenspecfun0 (= ${binary:Version})
+Depends: ${misc:Depends}, libopenspecfun1 (= ${binary:Version})
 Description: collection of special mathematical functions (development files)
  Openspecfun provides AMOS and Faddeeva.
  .
@@ -44,3 +46,6 @@
  scaled complementary error function, imaginary error function, and Dawson
  function); given these, one can also easily compute Voigt functions, Fresnel
  integrals, and similar related functions as well.
+ .
+ This package contains the development files needed to compile software using
+ openspecfun.
