=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 

override_dh_auto_build:
	make CPPFLAGS="$(CPPFLAGS)" CFLAGS="$(CFLAGS)" FFLAGS="$(FFLAGS)"
