## openspecfun 0.5.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 OPENLIBM_HOME=$(abspath .)
 include ./Make.inc
 
-SUBDIRS = amos Faddeeva
+SUBDIRS = amos Faddeeva rem_pio2
 
 define INC_template
 TEST=test
@@ -28,10 +28,9 @@
 ifeq ($(OS),WINNT)
 	$(FC) -shared $(OBJS) $(LDFLAGS) -Wl,$(SONAME_FLAG),libopenspecfun.$(SHLIB_EXT) -o libopenspecfun.$(SHLIB_EXT)
 else
-	$(FC) -shared $(OBJS) $(LDFLAGS) -Wl,$(SONAME_FLAG),libopenspecfun.$(SHLIB_EXT).$(VERSION) -o libopenspecfun.$(SHLIB_EXT).$(VERSION)
-	ln -s libopenspecfun.$(SHLIB_EXT).$(VERSION) libopenspecfun.$(SHLIB_EXT).$(word 1,$(VERSION_SPLIT)).$(word 2,$(VERSION_SPLIT))
-	ln -s libopenspecfun.$(SHLIB_EXT).$(VERSION) libopenspecfun.$(SHLIB_EXT).$(word 1,$(VERSION_SPLIT))
-	ln -s libopenspecfun.$(SHLIB_EXT).$(VERSION) libopenspecfun.$(SHLIB_EXT)
+	$(FC) -shared $(OBJS) $(LDFLAGS) -Wl,$(SONAME_FLAG),libopenspecfun.$(SHLIB_EXT).$(SOMAJOR) -o libopenspecfun.$(SHLIB_EXT).$(SOMAJOR).$(SOMINOR)
+	ln -sf libopenspecfun.$(SHLIB_EXT).$(SOMAJOR).$(SOMINOR) libopenspecfun.$(SHLIB_EXT).$(SOMAJOR)
+	ln -sf libopenspecfun.$(SHLIB_EXT).$(SOMAJOR).$(SOMINOR) libopenspecfun.$(SHLIB_EXT)
 endif
 
 install: all
@@ -43,7 +42,7 @@
 	cp -a Faddeeva/Faddeeva.h $(DESTDIR)$(includedir)
 
 clean:
-	@for dir in Faddeeva amos .; do \
+	@for dir in $(SUBDIRS) .; do \
 		rm -fr $$dir/*.o $$dir/*.a $$dir/*.$(SHLIB_EXT)*; \
 	done
