=== debian/changelog ===
openspecfun (0.5.0-1) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Remove Sébastien Villemot from Uploaders.

  [ Graham Inggs ]
  * New upstream release.
  * Drop kfreebsd-hurd.patch included upstream.
  * Update debian/copyright.
  * Use secure URIs for VCS fields.
  * Bump Standards-Version to 3.9.7, no further changes.

 -- Graham Inggs <ginggs@debian.org>  Tue, 29 Mar 2016 17:38:55 +0200

openspecfun (0.4-3) unstable; urgency=medium

  * Build on GNU/kFreeBSD and GNU/Hurd.

 -- Graham Inggs <ginggs@debian.org>  Tue, 27 Oct 2015 11:06:03 +0200

openspecfun (0.4-2) unstable; urgency=medium

  * Add myself to uploaders.
  * Build everywhere. (Closes: #799036)
  * Bump Standards-Version to 3.9.6, no changes.

 -- Graham Inggs <ginggs@debian.org>  Mon, 26 Oct 2015 04:56:38 +0200
