=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: openspecfun
 Priority: optional
 Maintainer: Debian Julia Team <pkg-julia-devel@lists.alioth.debian.org>
-Uploaders: Sébastien Villemot <sebastien@debian.org>
-Build-Depends: debhelper (>= 9), gfortran, dh-exec
-Standards-Version: 3.9.5
+Uploaders: Graham Inggs <ginggs@debian.org>
+Build-Depends: debhelper (>= 9), dh-exec, gfortran
+Standards-Version: 3.9.7
 Section: libs
 Homepage: https://github.com/JuliaLang/openspecfun
-Vcs-Git: git://anonscm.debian.org/pkg-julia/openspecfun.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-julia/openspecfun.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-julia/openspecfun.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-julia/openspecfun.git
 
 Package: libopenspecfun1
-Architecture: amd64 i386
+Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -31,9 +31,9 @@
 
 Package: libopenspecfun-dev
 Section: libdevel
-Architecture: amd64 i386
+Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libopenspecfun1 (= ${binary:Version})
+Depends: libopenspecfun1 (= ${binary:Version}), ${misc:Depends}
 Description: collection of special mathematical functions (development files)
  Openspecfun provides AMOS and Faddeeva.
  .
