=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/openspecfun-$1\.tar\.gz/ \
  https://github.com/JuliaLang/openspecfun/tags .*/v?(\d\S*)\.tar\.gz
