=== debian/changelog ===
openspecfun (0.5.3-4) unstable; urgency=medium

  [ Peter Colberg ]
  * Update Vcs-* fields for move to salsa.debian.org

  [ Mo Zhou ]
  * Add myself to maintainers.
  * Bump debhelper compat level to 11 .
    - Remove --parallel option from rules.
  * Upstream moved from JuliaLang to JuliaMath:
    * Upgrade watch file to version 4. And Update upstream URL.
    * Update upstream Homepage URL.
  * Bump Standards-Version to 4.1.4 .
    * Change copyright-format URL into https form. (3.9.8 -> 4.0.0)
  * Add autopkgtest control file, along with two Faddeeva tests.
  * Override dh_auto_test and run the Faddeeva tests.
    + Add debian/clean: Removes the test binaries.

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 30 Jun 2018 14:55:46 +0000

openspecfun (0.5.3-3) unstable; urgency=medium

  * Use openlibm instead of libm on mips, mips64el and mipsel

 -- Graham Inggs <ginggs@debian.org>  Tue, 24 Jan 2017 20:56:25 +0200

openspecfun (0.5.3-2) unstable; urgency=medium

  * Use openlibm instead of libm on armhf and ppc64
  * Update debian/copyright

 -- Graham Inggs <ginggs@debian.org>  Sat, 21 Jan 2017 22:48:40 +0200

openspecfun (0.5.3-1) unstable; urgency=medium

  * New upstream release
  * Add debian/gbp.conf for pristine-tar

 -- Peter Colberg <peter@colberg.org>  Sat, 30 Jul 2016 23:18:56 -0400

openspecfun (0.5.2-1) unstable; urgency=medium

  [ Peter Colberg ]
  * New upstream release
  * Update debian/copyright
  * Enable parallel build
  * Enable bindnow hardening flag
  * Use libopenlibm on architectures that have it
  * Link with -Wl,--as-needed to avoid useless library dependencies
  * Bump Standards-Version to 3.9.8, no further changes
  * Add myself to Uploaders

  [ Graham Inggs ]
  * Use openlibm instead of libm on arm64

 -- Peter Colberg <peter@colberg.org>  Thu, 23 Jun 2016 08:22:44 -0400
