=== debian/control ===
--- 
+++ 
@@ -1,13 +1,18 @@
 Source: openspecfun
 Priority: optional
 Maintainer: Debian Julia Team <pkg-julia-devel@lists.alioth.debian.org>
-Uploaders: Graham Inggs <ginggs@debian.org>
-Build-Depends: debhelper (>= 9), dh-exec, gfortran
-Standards-Version: 3.9.7
+Uploaders: Graham Inggs <ginggs@debian.org>,
+           Peter Colberg <peter@colberg.org>,
+           Mo Zhou <cdluminate@gmail.com>,
+Build-Depends: debhelper (>= 11),
+               dh-exec,
+               gfortran,
+               libopenlibm-dev [any-i386 any-amd64 arm64 armhf mips mips64el mipsel powerpc ppc64 ppc64el]
+Standards-Version: 4.1.4
 Section: libs
-Homepage: https://github.com/JuliaLang/openspecfun
-Vcs-Git: https://anonscm.debian.org/git/pkg-julia/openspecfun.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-julia/openspecfun.git
+Homepage: https://github.com/JuliaMath/openspecfun
+Vcs-Git: https://salsa.debian.org/julia-team/openspecfun.git
+Vcs-Browser: https://salsa.debian.org/julia-team/openspecfun
 
 Package: libopenspecfun1
 Architecture: any
