=== debian/tests/control ===
# NOTE
# 1. G++ would fail to compile the test binaries because the *.hh header is missing.

Test-Command: gcc Faddeeva/Faddeeva.c -DTEST_FADDEEVA -lm -o test-faddeeva-syslibm; ./test-faddeeva-syslibm
Depends: @, build-essential

Test-Command: gcc Faddeeva/Faddeeva.c -DTEST_FADDEEVA -lopenlibm -o test-faddeeva-openlibm; ./test-faddeeva-openlibm
Depends: @, build-essential, libopenlibm-dev
