=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%openspecfun-$1.tar.gz%" \
    https://github.com/JuliaMath/openspecfun/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
